import 'package:static_postgres_orm/src/domain/orm_data_types.dart';
import 'package:test/test.dart';

class TestDataFields extends GenericDataFields {}

class TestDate extends DateField {
  TestDate(GenericDataFields owner, String fieldName, bool notNullable,
      bool isPrimaryKey)
      : super(owner, fieldName, notNullable, isPrimaryKey);
}

class TestDateTime extends DateTimeField {
  TestDateTime(GenericDataFields owner, String fieldName, bool notNullable,
      bool isPrimaryKey)
      : super(owner, fieldName, notNullable, isPrimaryKey);
}

class TestTime extends TimeField {
  TestTime(GenericDataFields owner, String fieldName, bool notNullable,
      bool isPrimaryKey)
      : super(owner, fieldName, notNullable, isPrimaryKey);
}

void main() async {
  group('DateField', () {
    TestDate date;

    setUp(() {});

    test('_trySetValue', () {
      date = TestDate(TestDataFields(), 'last_date', false, false);
      var result = date.trySetValue('2020-01-01');

      expect(result, true);
    });
  });
}
